Bug 1992967 - "NoMethodError: undefined method `id' for nil:NilClass" error while creating a repository.
Summary: "NoMethodError: undefined method `id' for nil:NilClass" error while creating ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.10.0
Assignee: James Jeffers
QA Contact: Cole Higgins
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-12 06:59 UTC by Jameer Pathan
Modified: 2021-12-12 19:13 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-katello-4.1.1.12-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:13:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33286 0 None None None 2021-08-18 14:00:58 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:13:18 UTC

Description Jameer Pathan 2021-08-12 06:59:56 UTC
Description of problem:
"NoMethodError: undefined method `id' for nil:NilClass" error while creating a repository in a new organization and location.

Version-Release number of selected component (if applicable):
- Satellite 6.10.0 snap 12

How reproducible:
- Always

Steps to Reproduce:
1. Create Organization
2. Create location, and add organization to it.
3. Create product
4. Try creating a repository.

Actual results:
- "Task f151931f-f32f-4bd8-ba1d-138bc9913489: NoMethodError: undefined method `id' for nil:NilClass" error is shown.

Expected results:
- No error while creating a repository.

Additional info:
- I can see that the repository is created despite of the error shown.

Comment 2 James Jeffers 2021-08-18 14:00:57 UTC
Created redmine issue https://projects.theforeman.org/issues/33286 from this bug

Comment 3 Bryan Kearney 2021-08-19 16:05:34 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/33286 has been resolved.

Comment 8 errata-xmlrpc 2021-11-16 14:13:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.